Page MenuHomePhabricator

Regression: Inconsistent inner top padding in all popup types
Closed, ResolvedPublic3 Estimated Story Points

Description

When a popup (doesn't matter which one, Reference Previews, Page-Previews, with or without an image) opens to the bottom (i.e. the little arrow is at the top), the distance from the top corner of the popup to the text is not the full expected 16px but much less. This is because the arrow is part of the 16px margin, not outside of it.

I did a git bisect and narrowed the issue down to this patch:

Before the patch we had 16px all around:

Screenshot from 2021-04-26 10-58-00.png (165×434 px, 16 KB)

After:

Screenshot from 2021-04-26 10-57-41.png (153×428 px, 17 KB)

QA steps

QA Results - Beta

ACStatusDetails
1T281170#7263355
2T281170#7263355

QA Results - Beta

ACStatusDetails
1T281170#7271180
2T281170#7271180

QA Results - Beta

ACStatusDetails
1T281170#7298100
2T281170#7298100

QA Results - Prod

ACStatusDetails
1T281170#7298129
2T281170#7298129

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
ovasileva renamed this task from Inconsistent inner top padding in all popup types to Regression: Inconsistent inner top padding in all popup types.May 5 2021, 2:21 PM
ovasileva raised the priority of this task from Medium to High.May 13 2021, 5:46 PM
Jdrewniak added a subscriber: Jdrewniak.

Change 704883 had a related patch set uploaded (by Nray; author: Nray):

[mediawiki/extensions/Popups@master] POC: Adjust top padding of popup to account for clip path

https://gerrit.wikimedia.org/r/704883

POC above. There are several issues going on here (one of which is the text's margin getting clipped as a result of clip-path which @thiemowmde pointed out).

Change 704883 abandoned by Nray:

[mediawiki/extensions/Popups@master] POC: Adjust top padding of popup to account for clip path

Reason:

POC only. Reopen if helpful

https://gerrit.wikimedia.org/r/704883

nray removed nray as the assignee of this task.Jul 16 2021, 11:17 PM
nray added a subscriber: nray.

Moving to upcoming per my POC patch above

Change 705510 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/extensions/Popups@master] Remove the page preview icon hacks

https://gerrit.wikimedia.org/r/705510

Change 704883 restored by Jdlrobson:

[mediawiki/extensions/Popups@master] POC: Adjust top padding of popup to account for clip path

https://gerrit.wikimedia.org/r/704883

Change 704883 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Adjust top padding of popup to account for clip path

https://gerrit.wikimedia.org/r/704883

Jdlrobson added a subscriber: Edtadros.

Change 707671 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[mediawiki/extensions/Popups@master] Fix regression with reference previews

https://gerrit.wikimedia.org/r/707671

cjming added a subscriber: cjming.

Change 707671 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Fix regression with reference previews

https://gerrit.wikimedia.org/r/707671

cjming updated the task description. (Show Details)
cjming moved this task from Code Review to QA on the Readers-Web-Backlog (Kanbanana-FY-2020-21) board.

Test Result - Beta

Status: ✅ PASS
Environment: beta/Storybook
OS: macOS Big Sur
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA Steps

Navigate to a page on beta cluster i.e. https://en.wikipedia.beta.wmflabs.org/wiki/Albert_Einstein
✅ AC1: Hover over reference links to see that the icon in the left hand corner is consistent with spacing between the different types of reference links

Screen Shot 2021-08-05 at 7.04.41 AM.png (239×325 px, 44 KB)

Screen Shot 2021-08-05 at 7.04.31 AM.png (367×325 px, 59 KB)

Screen Shot 2021-08-05 at 7.04.21 AM.png (408×326 px, 62 KB)

✅ To check the disambiguation popup, see https://doc.wikimedia.org/Popups/master/js/ui/?path=/story/disambiguation--standard (I couldn't find an example of a working disambiguation popup on beta cluster)

Screen Shot 2021-08-05 at 7.06.52 AM.png (359×720 px, 52 KB)

Test Result - Prod

Status: ✅ PASS
Environment: enwiki
OS: macOS Big Sur
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA Steps

Navigate to a page on beta cluster i.e. https://en.wikipedia.org/wiki/Albert_Einstein
❓ AC1: Hover over reference links to see that the icon in the left hand corner is consistent with spacing between the different types of reference links
I can't find a reference link with an icon on the tip left of the popupl

Screen Shot 2021-08-09 at 5.41.16 PM.png (321×374 px, 53 KB)

✅ AC2: Check the disambiguation popup
Visually it looks consistent. I took some screenshots where I could show the padding.

Screen Shot 2021-08-09 at 5.43.01 PM.png (315×345 px, 50 KB)

Screen Shot 2021-08-09 at 5.42.33 PM.png (257×375 px, 52 KB)

Edtadros updated the task description. (Show Details)

❓ AC1: Hover over reference links to see that the icon in the left-hand corner is consistent with spacing between the different types of reference links

Strange. Perhaps this feature is beta only for now. I think it's fine to sign this off given beta cluster pass.

@Edtadros @Jdlrobson The reference previews need to be enabled first from the beta features tab

Screen Shot 2021-08-11 at 11.14.13 AM.png (1×2 px, 437 KB)

It's enabled for me and that doesn't help for some reason. Are you seeing the icons and title "Journal" heading @nray ?

@Jdlrobson Yes, I see them. I forgot to mention per the instructions on the reference previews that you have to have the navigation popups and reference previews gadgets turned off as well:

Please note: If you're using the Navigation popups gadget or the Reference Tooltips gadget, you won't see reference previews.

ref.png (1×2 px, 770 KB)

Right, yep mine was turned on for me as it defaults to on :( I can test this now.
@Edtadros DM me if you have any follow-up questions.

I found an error in the error preview:

Screen Shot 2021-08-11 at 11.26.43 AM.png (446×934 px, 74 KB)

We don't have a storybook entry for that so we should add it.

Am also seeing padding inconsistency on one of the popup variants in the links Hadrian and Theodosius in the text "Roman emperors such as Trajan, Hadrian or Theodosius"

Screen Shot 2021-08-11 at 11.30.47 AM.png (784×1 px, 819 KB)

This can also be seen in storybook in "Page preview flipped-x (landscape) with thumbnail" variant on https://doc.wikimedia.org/Popups/master/js/ui/?path=/story/thumbnails--landscape

I found an error in the error preview:

Screen Shot 2021-08-11 at 11.26.43 AM.png (446×934 px, 74 KB)

We don't have a storybook entry for that so we should add it.

hi @Jdlrobson - can you provide a sample link to replicate the error preview?

@cjming for the page issue https://doc.wikimedia.org/Popups/master/js/ui/?path=/story/thumbnails--landscape
Also https://en.wikipedia.org/wiki/Spain article, Trajan link, but you'll likely need to turn off the floating of the infobox.

For the error preview the easiest way to do this is to break the config:

$wgPopupsGateway = 'restbaseHTML';
$wgPopupsRestGatewayEndpoint = 'https://blahblahblah.wikipedia.org/api/rest_v1/page/summary/';
``

Change 712997 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[mediawiki/extensions/Popups@master] Fix popup preview regressions, add story

https://gerrit.wikimedia.org/r/712997

Change 712997 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Fix popup preview regressions, add story

https://gerrit.wikimedia.org/r/712997

Test Result - Beta

Status: ✅ PASS
Environment: beta
OS: macOS Big Sur
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA Steps

Navigate to a page on beta cluster i.e. https://en.wikipedia.org/wiki/Albert_Einstein
✅ AC1: Hover over reference links to see that the icon in the left hand corner is consistent with spacing between the different types of reference links
I found a few icons, they look fine.

Screen Shot 2021-08-20 at 10.06.33 AM.png (174×338 px, 32 KB)

Screen Shot 2021-08-20 at 10.07.37 AM.png (165×340 px, 33 KB)

Screen Shot 2021-08-20 at 10.07.16 AM.png (198×341 px, 42 KB)

Screen Shot 2021-08-20 at 10.06.53 AM.png (218×338 px, 49 KB)

Screen Shot 2021-08-20 at 10.06.25 AM.png (175×338 px, 33 KB)

✅ AC2: Check the disambiguation popup
Visually it looks consistent. I took some screenshots where I could show the padding.

Screen Shot 2021-08-09 at 5.43.01 PM.png (315×345 px, 50 KB)

Screen Shot 2021-08-09 at 5.42.33 PM.png (257×375 px, 52 KB)

Test Result - Prod

Status: ✅ PASS
Environment: enwiki
OS: macOS Big Sur
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA Steps

Navigate to a page on beta cluster i.e. https://en.wikipedia.org/wiki/Albert_Einstein
✅ AC1: Hover over reference links to see that the icon in the left hand corner is consistent with spacing between the different types of reference links
I found a few icons, they look fine.

Screen Shot 2021-08-20 at 10.20.12 AM.png (172×350 px, 41 KB)

Screen Shot 2021-08-20 at 10.19.29 AM.png (153×352 px, 39 KB)

Screen Shot 2021-08-20 at 10.19.39 AM.png (192×339 px, 50 KB)

Screen Shot 2021-08-20 at 10.19.17 AM.png (146×339 px, 33 KB)

Screen Shot 2021-08-20 at 10.20.03 AM.png (117×349 px, 21 KB)

✅ AC2: Check the disambiguation popup
Visually it looks consistent.

Screen Shot 2021-08-20 at 10.20.28 AM.png (170×374 px, 40 KB)